## matrix-mirage 0.6.4~dfsg+~hsluv1.0.0

=== requirements.txt ===
Pillow          >= 7.0.0,  < 8
aiofiles        >= 0.4.0,  < 0.5
appdirs         >= 1.4.4,  < 2
blist           >= 1.3.6,  < 2
cairosvg        >= 2.4.2,  < 3
filetype        >= 1.0.7,  < 2
html_sanitizer  >= 1.9.1,  < 2
lxml            >= 4.5.1,  < 5
matrix-nio[e2e] >= 0.15.0, < 0.16
mistune         >= 0.8.4,  < 0.9
pymediainfo     >= 4.2.1,  < 5

async_generator >= 1.10,  < 2;   python_version < "3.7"
dataclasses     >= 0.6,   < 0.7; python_version < "3.7"
pyfastcopy      >= 1.0.3, < 2;   python_version < "3.8"

=== debian/changelog ===
matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-4) unstable; urgency=medium

  * update patch 2003 to cover QML disk cache patch;
    closes: bug#978655, thanks to Reiner Herrmann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 21:17:04 +0100

matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-3) unstable; urgency=medium

  * fix config path in README.Debian;
    closes: bug#978647, thanks to Reiner Herrmann
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 19:06:30 +0100

matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-2) unstable; urgency=medium

  * modernize source sript copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Oct 2020 12:49:29 +0200

matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * repackage upstream source
    with unused embedded code dropped,
    and remaining one (HSLuv-C) fixated at version 1.0.0
  * fix rename config path
  * fix recommend fonts-hack fonts-roboto-unhinted
  * fix build-depend explicitly on libx11-dev
  * add README.Debian documenting renamed binary
  * install README and CHANGELOG, rendered as plaintext and html:
    + generate documentation unless nodoc requested
    + add patch 2004 to strip tracking URLs from README
    + build-depend on pandoc
  * install screenshot images,
    and add patch 2005 to shorten paths to screenshots in README

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Sep 2020 12:58:00 +0200

matrix-mirage (0.6.4~dfsg+~cs2.7.4.5.20191106-1) unstable; urgency=medium

  * initial release;
    closes: bug#970814

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Sep 2020 20:39:58 +0200

=== debian/control ===
Source: matrix-mirage
Section: net
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 12),
 libmediainfo-dev,
 libolm-dev,
 libx11-dev,
 libxss-dev,
 pandoc <!nodoc>,
 python3-dev,
 qt5-qmake,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/mirukana/mirage
Vcs-Git: https://salsa.debian.org/matrix-team/matrix-mirage.git
Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-mirage
Rules-Requires-Root: no

Package: matrix-mirage
Architecture: any
Depends:
 python3-pil,
 python3-aiofiles,
 python3-appdirs,
 python3-blist,
 python3-cairosvg,
 python3-magic,
 python3-html-sanitizer,
 python3-lxml,
 python3-matrix-nio,
 python3-mistune,
 python3-pymediainfo,
 python3 (>= 3.7) | python3-async-generator,
 python3 (>= 3.7) | python3-dataclasses,
 python3 (>= 3.8) | python3-pyfastcopy,
 qml-module-io-thp-pyotherside,
 qml-module-qtav,
 qml-module-qtgraphicaleffects,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-platform,
 qml-module-qt-labs-qmlmodels,
 qml-module-qtquick2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-shapes,
 qml-module-qtquick-window2,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fonts-hack,
 fonts-roboto-unhinted,
 qt5-image-formats-plugins,
Description: desktop IM client for the Matrix protocol
 Mirage is a fancy, customizable, keyboard-operable chat client
 for the Matrix protocol,
 written in Qt/QML and Python.
 .
 Notable Matrix features supported:
  * Markdown parsing when sending messages
  * End-to-end encryption
  * Multiple concurrent accounts
  * Session administration
  * Room administration
 .
 Notable Matrix features missing:
  * Communities (a.k.a. groups of rooms)
  * Audio/video chat
 .
 Matrix is an open, federated communications protocol.

=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
endif

%:
	dh $@

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

override_dh_clean:
	dh_clean -- $(DOCS) $(CHANGELOGS)

override_dh_auto_build: $(DOCS) $(CHANGELOGS)
	dh_auto_build

# link embedded code project to where qmake expects it
override_dh_testdir:
	dh_testdir
	rm -rf submodules
	mkdir -p submodules
	ln -sfT ../Xhsluv submodules/hsluv-c

# rename to avoid clash with GTK image viewer of same name
override_dh_install:
	dh_install
	mv debian/matrix-mirage/usr/share/applications/mirage.desktop \
		debian/matrix-mirage/usr/share/applications/matrix-mirage.desktop
	mv debian/matrix-mirage/usr/share/icons/hicolor/256x256/apps/mirage.png \
		debian/matrix-mirage/usr/share/icons/hicolor/256x256/apps/matrix-mirage.png

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

=== debian/watch ===
version=4
# check: uscan --report
# update: uscan && gbp import-orig ../matrix-mirage_*.orig.tar.gz

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=~dfsg+~hsluv1.0.0,\
dversionmangle=auto \
https://github.com/mirukana/mirage/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

opts=\
component=Xhsluv,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@+hsluv-c-$1/ \
https://github.com/hsluv/hsluv-c/tags \
.*?(1\.0\.0)@ARCHIVE_EXT@ 1.0.0

## matrix-mirage 0.7.2~dfsg+~hsluv1.0.0+~1.0.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.1)
project(hsluv-c C)


set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo MinSizeRel)
if("${CMAKE_BUILD_TYPE}" STREQUAL "")
    set(CMAKE_BUILD_TYPE $ENV{CMAKE_BUILD_TYPE})

    if("${CMAKE_BUILD_TYPE}" STREQUAL "")
        set(CMAKE_BUILD_TYPE "Release")
    endif()
endif()


if ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -std=c99 -pedantic")
elseif ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -std=c99 -pedantic")
elseif ("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
    # Disable warnings about the so-called unsecured functions:
    add_definitions(/D_CRT_SECURE_NO_WARNINGS)

    # Specify proper C runtime library:
    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /MTd")
    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
    set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} /MT")
    set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_RELEASE} /MT")
endif()

OPTION(HSLUV_C_TESTS "Enable/disable building of hsluv-c tests" ON)

add_subdirectory(src)
if(HSLUV_C_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

=== requirements.txt ===
Pillow            >= 7.0.0,  < 9
aiofiles          >= 0.4.0,  < 0.7
appdirs           >= 1.4.4,  < 2
cairosvg          >= 2.4.2,  < 3
filetype          >= 1.0.7,  < 2
html_sanitizer    >= 1.9.1,  < 2
lxml              >= 4.5.1,  < 5
mistune           >= 0.8.4,  < 0.9
pymediainfo       >= 4.2.1,  < 5
plyer             >= 1.4.3,  < 2
sortedcontainers  >= 2.2.2,  < 3
watchgod          >= 0.7,    < 0.8
redbaron          >= 0.9.2,  < 1
hsluv             >= 5.0.0,  < 6
simpleaudio       >= 1.0.4,  < 2
dbus-python       >= 1.2.16, < 2; platform_system == "Linux"

async_generator   >= 1.10,  < 2;   python_version < "3.7"
dataclasses       >= 0.6,   < 0.7; python_version < "3.7"
pyfastcopy        >= 1.0.3, < 2;   python_version < "3.8"

git+https://github.com/mirukana/matrix-nio#egg-matrix-nio[e2e]

=== src/CMakeLists.txt ===

add_library(hsluv-c STATIC hsluv.h hsluv.c)

# In Windows SDK, math functions are part of C runtime lib.
if(NOT "${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
    target_link_libraries(hsluv-c m)
endif()

=== tests/CMakeLists.txt ===

include_directories("${PROJECT_SOURCE_DIR}/src")

add_executable(test_hsluv acutest.h test_hsluv.c snapshot.h)
target_link_libraries(test_hsluv hsluv-c)
add_test(NAME test_hsluv COMMAND test_hsluv)

=== debian/changelog ===
matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-8) unstable; urgency=medium

  * depend on python3-mistune0 (not python3-mistune);
    closes: bug#1003565, thanks to Pierre-Elliott Bécue
  * update git-buildpackage config: add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Feb 2022 14:40:06 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-7) unstable; urgency=medium

  * fix build-depend on python3-typeshed
  * add patch 1001 to update ignored types
  * update generating documentation;
    build-depend on cmark-gfm (not pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 19:42:22 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-6) unstable; urgency=medium

  * tighten testsuite checking:
    aiofiles issue now fixed
    (see bug#994932)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 01:56:59 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-5) unstable; urgency=medium

  * add patch proposed upstream
    to limit acceptedPointerTypes to mouse
    (superseding patch 2007 to revert mouse scroll)
  * add patch proposed upstream
    to fix Python 3.10 collections import
  * add patch proposed upstream
    to disable seen indicator link
  * unfuzz patch 2001
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2022 20:20:54 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-4) unstable; urgency=medium

  * update watch file:
    + fix repacksuffix and corresponding version mangling
    + simplify filename mangling

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2021 12:33:25 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-3) unstable; urgency=medium

  * add patch 2007 to revert mouse scroll breaking touch support;
    closes: bug#995632, thanks to Karl Kashofer

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Oct 2021 16:28:52 +0200

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-2) unstable; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * fix build-depend on python3-aiofiles,
    and tolerate testsuite errors:
    aiofiles does not support type hints;
    see <https://github.com/Tinche/aiofiles/issues/49>

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Sep 2021 13:47:56 +0200

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file to fix use group versioning scheme
  * copyright: update coverage
  * build-depend on python3-dbus python3-hsluv python3-plyer
    python3-redbaron python3-sortedcontainers python3-watchgod
    flake8 mypy
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.6.0
  * update and unfuzz patches
  * update documentation source paths
  * stop build-depend on python3-blist
  * add patch 2006 to avoid QML module simpleaudio missing in Debian
  * tighten dependency on python3-matrix-nio

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Aug 2021 20:20:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,21 @@
 Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ cmark-gfm <!nodoc>,
+ debhelper-compat (= 13),
+ flake8 <!nocheck>,
  libmediainfo-dev,
  libolm-dev,
  libx11-dev,
  libxss-dev,
- pandoc <!nodoc>,
+ mypy <!nocheck>,
+ python3-aiofiles <!nocheck>,
  python3-dev,
+ python3-typeshed <!nocheck>,
  qt5-qmake,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/mirukana/mirage
 Vcs-Git: https://salsa.debian.org/matrix-team/matrix-mirage.git
 Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-mirage
@@ -26,14 +30,19 @@
  python3-pil,
  python3-aiofiles,
  python3-appdirs,
- python3-blist,
  python3-cairosvg,
+ python3-dbus,
  python3-magic,
+ python3-hsluv,
  python3-html-sanitizer,
  python3-lxml,
- python3-matrix-nio,
- python3-mistune,
+ python3-matrix-nio (>= 0.18.5),
+ python3-mistune0,
+ python3-plyer,
  python3-pymediainfo,
+ python3-redbaron,
+ python3-sortedcontainers,
+ python3-watchgod,
  python3 (>= 3.7) | python3-async-generator,
  python3 (>= 3.7) | python3-dataclasses,
  python3 (>= 3.8) | python3-pyfastcopy,

=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = $(foreach f,README CONFIG PCN THEMING,$f.html $f.txt)
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
endif

override_dh_clean:
	dh_clean -- $(DOCS) $(CHANGELOGS)

override_dh_auto_build: $(DOCS) $(CHANGELOGS)
	dh_auto_build

# link embedded code project to where qmake expects it
execute_after_dh_testdir:
	rm -rf submodules
	mkdir -p submodules
	ln -sfT ../Xhsluv submodules/hsluv-c

override_dh_auto_test:
	dh_auto_test

# rename to avoid clash with GTK image viewer of same name
execute_after_dh_install:
	mv debian/matrix-mirage/usr/share/applications/mirage.desktop \
		debian/matrix-mirage/usr/share/applications/matrix-mirage.desktop
	mv debian/matrix-mirage/usr/share/icons/hicolor/256x256/apps/mirage.png \
		debian/matrix-mirage/usr/share/icons/hicolor/256x256/apps/matrix-mirage.png

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

%.html:
	cmark-gfm $(if $(wildcard $*.md),$*.md,docs/$*.md) > $@

%.txt:
	cmark-gfm --to plaintext $(if $(wildcard $*.md),$*.md,docs/$*.md) > $@

%:
	dh $@

=== debian/watch ===
version=4
# check: uscan --report
# update: uscan && gbp import-orig ../matrix-mirage_*.orig.tar.gz

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=~dfsg,\
compression=gzip,\
dversionmangle=auto \
https://github.com/mirukana/mirage/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xhsluv,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@+hsluv-c-$1/,\
dversionmangle=s/hsluv// \
https://github.com/hsluv/hsluv-c/tags \
.*?(1\.0\.0)@ARCHIVE_EXT@ group
